slurm-llnl 19.05 build for ubuntu 18.04

Asked by C. Alex. North-Keys on 2020-03-02

Will there be a build of SLURM 19.05 (or 20.02) for the most recent Ubuntu LTS, 18.04? (as of 2020-03, our site won't be able to adopt Ubuntu 20.04 for a few months after release.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu slurm-llnl Edit question
Assignee:
No assignee Edit question
Solved by:
C. Alex. North-Keys
Solved:
2020-03-02
Last query:
2020-03-02
Last reply:
2020-03-02
Manfred Hampl (m-hampl) said : #1

Manfred Hampl suggests this article as an answer to your question:
FAQ #3037: “no rolling release”.

Thanks Manfred. Is there a way to obtain the build script used for SLURM 20.02 so that I can construct the package for site-specific use myself?

By that I mean an ubuntu-specific debian package with all the appropriate ./configure options - I've looked a for a build log for 20.02, but no luck yet.

Manfred Hampl (m-hampl) said : #4

The build script is the "rules" file in the debian directory inside the slurm-llnl_(version).debian.tar.xz archive.

You should use the Ubuntu (Debian) build tools, they make building the package easier.

see e.g. https://packaging.ubuntu.com/html/ or https://wiki.debian.org/BuildingTutorial

Thanks Manfred, that'll probably be all I need :-)